#include <iostream>
#include <string>
#include <algorithm>
using namespace std;
string sum(const string& a, const string& b) {
    string r;
    int l = max(a.size(), b.size());
    string a1 = string(l - a.size(), '0') + a;
    string b1 = string(l - b.size(), '0') + b;
    for (int i = 0; i < l; ++i) {
        char maxd = max(a1[i], b1[i]);
        r.push_back(maxd);
    }
    return r;
}
string prod(const string& a, const string& b) {
    string r(a.size() + b.size(), '0');

    for (int i = a.size() - 1; i >= 0; --i) {
        for (int j = b.size() - 1; j >= 0; --j) {
            int pos = r.size() - 1 - ((a.size() - 1 - i) + (b.size() - 1 - j));
            char mind = min(a[i], b[j]);
            r[pos] = max(r[pos], mind);
        }
    }
    size_t z = r.find_first_not_of('0');
    if (z == string::npos) return "0";

    return r.substr(z);
}

int main() {
    string a, b;
    cin >> a >> b;

    string sum = sum(a, b);
    string prod = prod(a, b);

    cout << sum << " " << prod << endl;

    return 0;
}
